extends Node2D

export(Texture) var text1
export(Texture) var text2

func _change():
	looper(self)

func looper(node):
	checker(node)
	for i in node.get_children():
		checker(i)
		looper(i)

func checker(i):
	if 'texture' in i:
#		print(i.texture)
		if i.texture == text1:
#			print('set')
			i.texture = text2
